<?
/********************************************************************************/
/* 小林在贺卡 :	PHP+TXT							        */
/* ==============================						*/
/*  版本: v0.01 -- 2003.03.08					         	*/
/*										*/
/* ---------------------------------------------------				*/
/* - 程式版权 (c) 2003 小林所有	    -		                     		*/
/* - 小林在贺卡版权所有   http://www.xlzx.net.tf    -				*/
/* ---------------------------------------------------				*/
/*										*/
/*						                                */
/* 网站地址:  www.xlzx.net.tf - xlzx.24cc.com - OICQ:26565571		        */
/********************************************************************************/
/*简介：本软件无须数据库支持。                                                  */
/*                                                                              */
/*版权说明: 本软件为免费软件。你可以下载使用。但请保留此声明	                */
/*										*/
/* 本版为测试版。希望大家找出bug！大家多多提建议！	                        */ 
/* 	                                                                        */
/* 申明：由于使用本软件造成任何事故！本人概不负责！				*/
/*										*/
/*      作者：小林   E-mail:lilin525007@sina.com  网址：www.xlzx.net.tf         */
/********************************************************************************/

include("admin/head.php");


switch($action){
case "show":

echo <<<EOD
<table border="0" width="100%" cellspacing="0" cellpadding="0" class="TableLine" bordercolorlight="" bgcolor="">
<form method="POST" action="changecard.php?action=change">
          <tr>
            <td width="100%" height="20" colspan=2 bgcolor="" align=center></td>
          </tr>
      
            <td align="right">名称：</td>
            <td><input type="text" value="$cname" name="name" size="20"></td>
          </tr><tr>
            <td align="right">类别：</td>
            <td>图画<input type="radio" value="p" name="xlb" $p>&nbsp; 
                 Flash<input type="radio" value="f" name="xlb" $f></td>
 </tr>
<tr>
            <td align="right">图例：</td>
            <td><input type="text" value="$ctul" name="tul" size="20"></td>
          </tr>
                <td align="right">地址：</td>
            <td><input type="text" value="$cdizhi" name="dizhi" size="20"></td>
          </tr>
                <tr>
            <td align="right">简介：</td>
            <td><TEXTAREA name="word" rows=5 cols="75">$cword</TEXTAREA></td>

          </tr><td align="right">推见：</td>
            <td>yes<input type="radio" value="true" name="tj" $true>
&nbsp; 
                 no <input type="radio" value="false" name="tj" $false></td>
          <tr>
            <td colspan=2 align=center>
<input type="hidden" name="n" value="$nn">
<input type="hidden" name="id" value="$idd">
<input type="hidden" name="titile" value="$titile">
              <input type="submit" value=" Ｏ　Ｋ " name="cmdok">&nbsp; 
              <input type="reset" value=" 取 消 "  name="cmdcancel">
            </td>
          </tr>
        </form>    </table>
EOD;
break;
case "change":
$book="data/$n.php";
$garray=@file($book);
$cog=count($garray);
$fp=@fopen($book,"w+");
for($i=0;$i<$cog;$i++){
$larray = explode("|",$garray[$i]);
if(!($id==$larray[0])){@fwrite($fp,$garray[$i]);}
else{
$xinxi=array($id,$name,$tul,$dizhi,$larray[4],$word,$larray[6],$xlb,$tj,$larray[9]);
$garray[$i] = implode("|", $xinxi)."|\r\n";
@fwrite($fp,$garray[$i]);
}
}
@fclose($fp);
echo "<br><center><font color=red>修改成功.....</font></center>
<SCRIPT LANGUAGE=JAVASCRIPT>
<!-- 
setTimeout(\"location='admincard.php?filename=$n&titile=$titile'\",1000)
-->
</SCRIPT>
";

exit;
break;
}
?>